!-----------------------------------------------------------------------
program school
  !!-----------------------------------------------------------------------
  !! 
  !! input:  namelist "&inputsimple", with variables
  !!   prefix       prefix of input files saved by program pwscf
  !!   outdir       temporary directory where files resides
  !!    
  use io_files,  ONLY : prefix, tmp_dir
  use io_global, ONLY : stdout, ionode, ionode_id
  USE mp_global, ONLY: mp_startup
  USE mp_pools, ONLY : kunit
  use mp_world, ONLY: mpime, world_comm 
  USE environment,   ONLY: environment_start
  USE mp, ONLY : mp_bcast
  
  
  !
  IMPLICIT NONE
  CHARACTER(len=9) :: code = 'SCHOOL'
  INTEGER :: ios, kunittmp
  CHARACTER(LEN=256), EXTERNAL :: trimcheck
  CHARACTER(len=200) :: pp_file
  LOGICAL :: uspp_spsi, ascii, single_file, raw
  LOGICAL :: exst
  INTEGER, EXTERNAL :: find_free_unit
  CHARACTER(LEN=256) :: outdir
  !
  !
  NAMELIST /inputschool/ prefix,outdir
  !
  CALL mp_startup ( )
  CALL environment_start ( code )
  !
  CALL start_clock('school')
  !
  CALL get_environment_variable( 'ESPRESSO_TMPDIR', outdir )
  IF ( TRIM( outdir ) == ' ' ) outdir = './'
  IF ( ionode ) THEN
     CALL input_from_file ( )
     READ(5,inputschool,IOSTAT=ios)
     IF (ios /= 0) CALL errore ('SCHOOL', 'reading inputschool: namelist', ABS(ios) )
  ENDIF
  !

  tmp_dir = trimcheck( outdir )
  CALL mp_bcast( outdir, ionode_id, world_comm  )
  CALL mp_bcast( tmp_dir, ionode_id , world_comm )
  CALL mp_bcast( prefix, ionode_id, world_comm  )
  
 CALL read_file
  !
 CALL openfile_school
  !
#if defined __MPI
  kunittmp = kunit
#else
    kunittmp = 1
#endif
  !
  pp_file= ' '
  uspp_spsi = .FALSE.
  ascii = .FALSE.
  single_file = .FALSE.
  raw = .FALSE.
  
  CALL read_export(pp_file,kunittmp,uspp_spsi, ascii, single_file, raw)
  
  CALL summary()
  !
  CALL print_ks_energies()
  !
  call check_g_real
  !
  CALL stop_clock('school')
  CALL print_clock('school')
  
  !
  CALL stop_pp
  STOP
  !
END PROGRAM school



